<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/TransmitterBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d2f/_transmitter_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">TransmitterBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d2f/_transmitter_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">//TRANSMITTER BASE</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d7/dd8/class_item_transmitter.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/ddb/class_transmitter_base.html">TransmitterBase</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d7/dd8/class_item_transmitter.html">ItemTransmitter</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    <span class="comment">//Sounds</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d7/dd8/class_item_transmitter.html#ad915ff2408d42fd7cd7c8953f88a2d2e">    5</a></span>    <span class="keywordtype">string</span> SOUND_RADIO_TURNED_ON        = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d7/dd8/class_item_transmitter.html#a6aa832bf6645f94009418605293d18b5">    7</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d89/class_effect_sound.html">EffectSound</a> <a class="code hl_variable" href="../../d7/dd8/class_item_transmitter.html#a6aa832bf6645f94009418605293d18b5">m_SoundLoop</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    <span class="comment">// --- SYSTEM EVENTS</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d7/dd8/class_item_transmitter.html#aa86a6e457bea36353e3f8dbb3389b611">   10</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dd8/class_item_transmitter.html#aa86a6e457bea36353e3f8dbb3389b611">OnStoreSave</a>( <a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsWriteContext</a> ctx )</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {   </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        super.OnStoreSave( ctx );</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <span class="comment">//store tuned frequency</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Write</a>( GetTunedFrequencyIndex() );</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d7/dd8/class_item_transmitter.html#a717d55d6d24672bf397d6d47ff06b86d">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/dd8/class_item_transmitter.html#a717d55d6d24672bf397d6d47ff06b86d">OnStoreLoad</a>( <a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx, <span class="keywordtype">int</span> version )</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">if</span> ( !super.OnStoreLoad( ctx, version ) )</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="comment">//--- Transmitter data ---</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="comment">//load and set tuned frequency</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordtype">int</span> tuned_frequency_idx;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">if</span> ( !ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>( tuned_frequency_idx ) )</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            SetFrequencyByIndex( 0 );       <span class="comment">//set default</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        SetFrequencyByIndex( tuned_frequency_idx );</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="comment">//---</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }   </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d7/dd8/class_item_transmitter.html#aee0c3e237277b015202f86390c15b881">   37</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/dd8/class_item_transmitter.html#aee0c3e237277b015202f86390c15b881">IsTransmitter</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="comment">//--- ACTIONS</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d7/dd8/class_item_transmitter.html#a380e6164570ab3e5c0be871fd0337222">   43</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dd8/class_item_transmitter.html#a380e6164570ab3e5c0be871fd0337222">SetNextFrequency</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = NULL )</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        SetNextChannel();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="comment">/*</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="comment">        if ( player )</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="comment">        {</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="comment">            DisplayRadioInfo( GetTunedFrequency().ToString(), player );</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="comment">        }</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="comment">        */</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <span class="comment">//--- HUD</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="comment">/*</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="comment">    protected Hud GetHud( PlayerBase player )</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="comment">    {</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="comment">        if ( !player ) </span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span><span class="comment">        {</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="comment">            return NULL;</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="comment">        }</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="comment">        </span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span><span class="comment">        return player.m_Hud;</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="comment">    }</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="comment">    </span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span><span class="comment">    void DisplayRadioInfo( string message, PlayerBase player )</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span><span class="comment">    {</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span><span class="comment">        Hud hud;</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span><span class="comment">        if ( player )</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span><span class="comment">        {</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span><span class="comment">            hud = GetHud( player );</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="comment">        }</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span><span class="comment">        </span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="comment">        if ( hud ) </span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span><span class="comment">        {   </span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment">            hud.SetWalkieTalkieText( message );</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="comment">            hud.ShowWalkieTalkie( 3 );</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span><span class="comment">        }</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span><span class="comment">    }</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span><span class="comment">    */</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    <span class="comment">//--- POWER EVENTS</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d7/dd8/class_item_transmitter.html#a2340cc5c59270f01c846b6854c9f802b">   84</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dd8/class_item_transmitter.html#a2340cc5c59270f01c846b6854c9f802b">OnSwitchOn</a>()</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">if</span> ( !GetCompEM().CanWork() )</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            GetCompEM().SwitchOff();</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    }   </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../d7/dd8/class_item_transmitter.html#aa90e42839791745407d88e77a29ad1f1">   92</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dd8/class_item_transmitter.html#aa90e42839791745407d88e77a29ad1f1">OnWorkStart</a>()</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="comment">//turn on broadcasting/receiving</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        EnableBroadcast ( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        EnableReceive ( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        SwitchOn ( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="comment">//play sound</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        SoundTurnedOnNoiseStart();</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../d7/dd8/class_item_transmitter.html#a6b9b1e1da6f069f9392799f4e6e2dc90">  103</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dd8/class_item_transmitter.html#a6b9b1e1da6f069f9392799f4e6e2dc90">OnWorkStop</a>()</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="comment">//auto switch off (EM)</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        GetCompEM().SwitchOff();</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="comment">//turn off broadcasting/receiving</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        EnableBroadcast ( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        EnableReceive ( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        SwitchOn ( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="comment">//stop sound</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        SoundTurnedOnNoiseStop();       </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    <span class="comment">//================================================================</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    <span class="comment">// SOUNDS</span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    <span class="comment">//================================================================</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    <span class="comment">//Static noise when the radio is turned on</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../d7/dd8/class_item_transmitter.html#a85a247c5ca3dd8c670174d3aefcca095">  121</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dd8/class_item_transmitter.html#a85a247c5ca3dd8c670174d3aefcca095">SoundTurnedOnNoiseStart</a>()</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    {</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <a class="code hl_function" href="../../dd/d93/_object_8c.html#a1cbe8c0fcb4060231c39571dfd5fe665">PlaySoundSetLoop</a>( m_SoundLoop, SOUND_RADIO_TURNED_ON, 1.0, 1.0 );</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../d7/dd8/class_item_transmitter.html#af8463aeb374bb2b35095b2d0bb86f05d">  126</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dd8/class_item_transmitter.html#af8463aeb374bb2b35095b2d0bb86f05d">SoundTurnedOnNoiseStop</a>()</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <a class="code hl_function" href="../../dd/d93/_object_8c.html#a8bb1d33c44c719bf350d807a38cf7b48">StopSoundSet</a>( m_SoundLoop );</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    }   </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../d7/dd8/class_item_transmitter.html#a05989b6ade3dfffdd755a5cea6aa0d72">  131</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dd8/class_item_transmitter.html#a05989b6ade3dfffdd755a5cea6aa0d72">SetActions</a>()</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    {</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        super.SetActions();</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_function" href="../../dd/d5b/_action_turn_on_transmitter_8c.html#af728ccdc92b1cbbd321db8a345976ac6">ActionTurnOnTransmitter</a>);</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_function" href="../../de/d09/_action_turn_off_transmitter_8c.html#afae7d918c5404f98d32c235cccf598af">ActionTurnOffTransmitter</a>);</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_function" href="../../dc/ddc/_action_tune_frequency_8c.html#a994f0d0ff7b7afa1f6134e102a723d9a">ActionTuneFrequency</a>);</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>}</div>
<div class="ttc" id="a_action_tune_frequency_8c_html_a994f0d0ff7b7afa1f6134e102a723d9a"><div class="ttname"><a href="../../dc/ddc/_action_tune_frequency_8c.html#a994f0d0ff7b7afa1f6134e102a723d9a">ActionTuneFrequency</a></div><div class="ttdeci">ActionTuneFrequencyCB ActionContinuousBaseCB ActionTuneFrequency()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/ddc/_action_tune_frequency_8c_source.html#l00001">ActionTuneFrequency.c:13</a></div></div>
<div class="ttc" id="a_action_turn_off_transmitter_8c_html_afae7d918c5404f98d32c235cccf598af"><div class="ttname"><a href="../../de/d09/_action_turn_off_transmitter_8c.html#afae7d918c5404f98d32c235cccf598af">ActionTurnOffTransmitter</a></div><div class="ttdeci">ActionTurnOffTransmitterCB ActionSingleUseBaseCB ActionTurnOffTransmitter()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d09/_action_turn_off_transmitter_8c_source.html#l00001">ActionTurnOffTransmitter.c:11</a></div></div>
<div class="ttc" id="a_action_turn_on_transmitter_8c_html_af728ccdc92b1cbbd321db8a345976ac6"><div class="ttname"><a href="../../dd/d5b/_action_turn_on_transmitter_8c.html#af728ccdc92b1cbbd321db8a345976ac6">ActionTurnOnTransmitter</a></div><div class="ttdeci">ActionTurnOnTransmitterCB ActionSingleUseBaseCB ActionTurnOnTransmitter()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d5b/_action_turn_on_transmitter_8c_source.html#l00001">ActionTurnOnTransmitter.c:11</a></div></div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00220">AdvancedCommunication.c:220</a></div></div>
<div class="ttc" id="a_object_8c_html_a1cbe8c0fcb4060231c39571dfd5fe665"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a1cbe8c0fcb4060231c39571dfd5fe665">PlaySoundSetLoop</a></div><div class="ttdeci">bool PlaySoundSetLoop(out EffectSound sound, string sound_set, float fade_in, float fade_out)</div><div class="ttdoc">EffectSound - plays soundset on this object in loop and returns state of the sound (true - played,...</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l01096">Object.c:1096</a></div></div>
<div class="ttc" id="a_object_8c_html_a8bb1d33c44c719bf350d807a38cf7b48"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a8bb1d33c44c719bf350d807a38cf7b48">StopSoundSet</a></div><div class="ttdeci">bool StopSoundSet(out EffectSound sound)</div><div class="ttdoc">EffectSound - stops soundset and returns state of the sound (true - stopped, false - not playing)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l01137">Object.c:1137</a></div></div>
<div class="ttc" id="aclass_effect_sound_html"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html">EffectSound</a></div><div class="ttdoc">Wrapper class for managing sound through SEffectManager.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00004">EffectSound.c:5</a></div></div>
<div class="ttc" id="aclass_item_transmitter_html"><div class="ttname"><a href="../../d7/dd8/class_item_transmitter.html">ItemTransmitter</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d2f/_transmitter_base_8c_source.html#l00002">TransmitterBase.c:3</a></div></div>
<div class="ttc" id="aclass_item_transmitter_html_a05989b6ade3dfffdd755a5cea6aa0d72"><div class="ttname"><a href="../../d7/dd8/class_item_transmitter.html#a05989b6ade3dfffdd755a5cea6aa0d72">ItemTransmitter::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d2f/_transmitter_base_8c_source.html#l00131">TransmitterBase.c:131</a></div></div>
<div class="ttc" id="aclass_item_transmitter_html_a2340cc5c59270f01c846b6854c9f802b"><div class="ttname"><a href="../../d7/dd8/class_item_transmitter.html#a2340cc5c59270f01c846b6854c9f802b">ItemTransmitter::OnSwitchOn</a></div><div class="ttdeci">override void OnSwitchOn()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d2f/_transmitter_base_8c_source.html#l00084">TransmitterBase.c:84</a></div></div>
<div class="ttc" id="aclass_item_transmitter_html_a380e6164570ab3e5c0be871fd0337222"><div class="ttname"><a href="../../d7/dd8/class_item_transmitter.html#a380e6164570ab3e5c0be871fd0337222">ItemTransmitter::SetNextFrequency</a></div><div class="ttdeci">void SetNextFrequency(PlayerBase player=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d2f/_transmitter_base_8c_source.html#l00043">TransmitterBase.c:43</a></div></div>
<div class="ttc" id="aclass_item_transmitter_html_a6aa832bf6645f94009418605293d18b5"><div class="ttname"><a href="../../d7/dd8/class_item_transmitter.html#a6aa832bf6645f94009418605293d18b5">ItemTransmitter::m_SoundLoop</a></div><div class="ttdeci">protected EffectSound m_SoundLoop</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d2f/_transmitter_base_8c_source.html#l00007">TransmitterBase.c:7</a></div></div>
<div class="ttc" id="aclass_item_transmitter_html_a6b9b1e1da6f069f9392799f4e6e2dc90"><div class="ttname"><a href="../../d7/dd8/class_item_transmitter.html#a6b9b1e1da6f069f9392799f4e6e2dc90">ItemTransmitter::OnWorkStop</a></div><div class="ttdeci">override void OnWorkStop()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d2f/_transmitter_base_8c_source.html#l00103">TransmitterBase.c:103</a></div></div>
<div class="ttc" id="aclass_item_transmitter_html_a717d55d6d24672bf397d6d47ff06b86d"><div class="ttname"><a href="../../d7/dd8/class_item_transmitter.html#a717d55d6d24672bf397d6d47ff06b86d">ItemTransmitter::OnStoreLoad</a></div><div class="ttdeci">override bool OnStoreLoad(ParamsReadContext ctx, int version)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d2f/_transmitter_base_8c_source.html#l00018">TransmitterBase.c:18</a></div></div>
<div class="ttc" id="aclass_item_transmitter_html_a85a247c5ca3dd8c670174d3aefcca095"><div class="ttname"><a href="../../d7/dd8/class_item_transmitter.html#a85a247c5ca3dd8c670174d3aefcca095">ItemTransmitter::SoundTurnedOnNoiseStart</a></div><div class="ttdeci">protected void SoundTurnedOnNoiseStart()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d2f/_transmitter_base_8c_source.html#l00121">TransmitterBase.c:121</a></div></div>
<div class="ttc" id="aclass_item_transmitter_html_aa86a6e457bea36353e3f8dbb3389b611"><div class="ttname"><a href="../../d7/dd8/class_item_transmitter.html#aa86a6e457bea36353e3f8dbb3389b611">ItemTransmitter::OnStoreSave</a></div><div class="ttdeci">override void OnStoreSave(ParamsWriteContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d2f/_transmitter_base_8c_source.html#l00010">TransmitterBase.c:10</a></div></div>
<div class="ttc" id="aclass_item_transmitter_html_aa90e42839791745407d88e77a29ad1f1"><div class="ttname"><a href="../../d7/dd8/class_item_transmitter.html#aa90e42839791745407d88e77a29ad1f1">ItemTransmitter::OnWorkStart</a></div><div class="ttdeci">override void OnWorkStart()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d2f/_transmitter_base_8c_source.html#l00092">TransmitterBase.c:92</a></div></div>
<div class="ttc" id="aclass_item_transmitter_html_aee0c3e237277b015202f86390c15b881"><div class="ttname"><a href="../../d7/dd8/class_item_transmitter.html#aee0c3e237277b015202f86390c15b881">ItemTransmitter::IsTransmitter</a></div><div class="ttdeci">override bool IsTransmitter()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d2f/_transmitter_base_8c_source.html#l00037">TransmitterBase.c:37</a></div></div>
<div class="ttc" id="aclass_item_transmitter_html_af8463aeb374bb2b35095b2d0bb86f05d"><div class="ttname"><a href="../../d7/dd8/class_item_transmitter.html#af8463aeb374bb2b35095b2d0bb86f05d">ItemTransmitter::SoundTurnedOnNoiseStop</a></div><div class="ttdeci">protected void SoundTurnedOnNoiseStop()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d2f/_transmitter_base_8c_source.html#l00126">TransmitterBase.c:126</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_serializer_html"><div class="ttname"><a href="../../d0/dc2/class_serializer.html">Serializer</a></div><div class="ttdoc">Serialization general interface. Serializer API works with:</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc7/_serializer_8c_source.html#l00055">Serializer.c:56</a></div></div>
<div class="ttc" id="aclass_serializer_html_a3568bd9439217225013ea9906eb09a3f"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Serializer::Write</a></div><div class="ttdeci">proto bool Write(void value_out)</div></div>
<div class="ttc" id="aclass_serializer_html_a9a38a9c5322133ee30fe87a3a4c0659e"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Serializer::Read</a></div><div class="ttdeci">proto bool Read(void value_in)</div></div>
<div class="ttc" id="aclass_transmitter_base_html"><div class="ttname"><a href="../../d0/ddb/class_transmitter_base.html">TransmitterBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d82/_base_radio_8c_source.html#l00001">BaseRadio.c:2</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../d8/d2f/_transmitter_base_8c.html">TransmitterBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
